## libdebian-package-make-perl 0.04

=== debian/changelog ===
libdebian-package-make-perl (0.04) unstable; urgency=low

  * Put compatibility functions for Dpkg::* into separate module (which
    will only be installed if this package is built on systems with a
    non-modular dpkg-dev)
  * This version should work with older versions of dpkg-dev again.
  * Avoid nested fakeroot operation.
  * Added verbose parameter.
  * Added support for DEB_HOST_ARCH environment variable

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Apr 2008 16:43:50 +0200

libdebian-package-make-perl (0.03) unstable; urgency=low

  * Implemented separate handling of epoch, upstream_version,
    debian_revision
  * Fixed some of perlcritic's warnings (eval STRING, strictures, etc.)
  * Fixed error checking for parsing .chagnes file
  * Fixed warnings
  * Removed some dead code
  * Added first "real" tests.
  * Added antivir packaging script that uses on the antivir program's
    built-in update feature

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Mar 2008 15:26:27 +0100

libdebian-package-make-perl (0.02) unstable; urgency=low

  * Added backward compatibility hack for older dpkg-dev packages that are
    not based around proper Perl modules.
  * LWP is used for downloading stuff instead of LWP::Simple. And, yes, I
    added the necessary dependencs. Closes: #465618
  * Improved description
  * Added a method for detecting the version number from a filename or a
    URL.
  * D:P:M:TemplateDir now sets default values for the location of the
    template directory.

 -- Hilko Bengen <bengen@debian.org>  Thu, 14 Feb 2008 15:34:13 +0100

libdebian-package-make-perl (0.01) unstable; urgency=low

  * Initial public release (Closes: #464392)

 -- Hilko Bengen <bengen@debian.org>  Wed, 06 Feb 2008 15:59:19 +0100
