## libdebian-package-make-perl 0.04ubuntu1

=== debian/changelog ===
libdebian-package-make-perl (0.04ubuntu1) intrepid; urgency=low

  * debian/rules: disable tests for now, they cause package to FTBFS in
    Ubuntu primary buildds.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 19 Sep 2008 14:21:28 +0200
