=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 5.0.0), perl (>= 5.8.8)
 Build-Depends-Indep: libwww-perl, libfile-copy-recursive-perl, libipc-run3-perl, fakeroot
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Standards-Version: 3.7.3
 Homepage: http://search.cpan.org/dist/Debian::Package::Make/
 Vcs-Git: git://git.debian.org/git/users/bengen/Debian-Package-Make.git
